Page MenuHomePhabricator

API auto-documentation for undelete module references deprecated module deletedrevs
Closed, ResolvedPublic

Description

https://en.wikipedia.org/w/api.php?action=help&modules=undelete

contains a reference to list=deletedrevs. This module is deprecated.

Event Timeline

MER-C created this task.Aug 21 2015, 11:02 AM
MER-C raised the priority of this task from to Needs Triage.
MER-C updated the task description. (Show Details)
MER-C added a project: MediaWiki-API.
MER-C added a subscriber: MER-C.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2015, 11:02 AM
Anomie renamed this task from API auto-documentation for undelete module references deleted module deletedrevs to API auto-documentation for undelete module references deprecated module deletedrevs.Aug 21 2015, 1:20 PM
Anomie added a project: good first bug.
Anomie set Security to None.
Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 22 2015, 6:56 AM
Anomie added a subscriber: Anomie.Dec 22 2015, 2:20 PM

@Aklapper moved this task to Clarification required on the Google-Code-In-2015 workboard.

It's a simple i18n update, 'apihelp-undelete-description' should refer to deletedrevisions and/or alldeletedrevisions.

Change 276935 had a related patch set uploaded (by Pmlineditor):
Replace reference to deprecated module deletedrevs in API documentation

https://gerrit.wikimedia.org/r/276935

Pmlineditor moved this task from Non-Code to Needs Review on the MediaWiki-API board.

Change 276935 merged by jenkins-bot:
Replace reference to deprecated module deletedrevs in API documentation

https://gerrit.wikimedia.org/r/276935

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptFeb 19 2017, 6:38 PM
Anomie closed this task as Resolved.Feb 20 2017, 5:03 AM